<fieldset>
<?php
/**
*   TEMPLATE FOR NET RPC CONDITION
*/
?>
    <script type='text/javascript'>
    $(document).ready(function() {

        show_net_rpc_opts();

        $('#net_rpc_opts').change(function() {
            show_net_rpc_opts();
        });
    });
    
    function show_net_rpc_opts() {
        var command = $('#net_rpc_opts option:selected').val();
        command = command.split('-');
        var action = command[1];
        if (command[2]) {
            action = command[1] + '-' + command[2];
        }
        
        // Hide all the additional fields
        $('.additional-fields').hide();

        switch (command[0])
        {
            case 'user':
                $('#username-field').show();
                if (action == "add") {
                    $('#password-field').show();
                } else if (action == "rename") {
                    $('#new-username-field').show();
                }
                break;

            case 'group':
                $('#groupname-field').show();
                if (action == "rename") {
                    $('#new-groupname-field').show();
                } else if (action == "add-user" || action == "delete-user") {
                    $('#username-field').show();
                }
                break;

            case 'service':
                $('#servicename-field').show();
                break;

            default:
                // Don't do anything!
                break;
        }

    }

    </script>


    <div class="control-group">
        <label class="control-label required"><?php echo _('Host Server Address'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'server',
                'class' => 'span4',
                'value' => set_value('server', @$defaults['server']),
                )); ?>
            <?php echo form_error('server') ?>
            <span class="help-inline">
                <?php echo question_tooltip("IP address or domain name of target machine.");?>
            </span>
        </div>
    </div>
    
    <div class="control-group">
        <label class="control-label required"><?php echo _('Host Username'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'server_username',
                'class' => 'span4',
                'value' => set_value('server_username', @$defaults['server_username']),
                )); ?>
                
            <?php echo form_error('username') ?>
            <span class="help-inline">
                <?php echo question_tooltip("Valid windows username on target machine.  Most functionality requires administrator level account.");?>
            </span>
        </div>
    </div>
    
    <div class="control-group">
        <label class="control-label required"><?php echo _('Host Password'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'server_password',
                'type' => 'password',               
                'class' => 'span4',
                'value' => set_value('server_password', @base64_decode($defaults['server_password'])),
                )); ?>
                
            <?php echo form_error('password') ?>
            <span class="help-inline">
                <?php echo question_tooltip("Password of provided Windows username.");?>
            </span>
        </div>
    </div>  
    

    <div class="control-group">
        <label class="control-label required"><?php echo _('Command'); ?></label>
        <div class="controls">
            <select name="command" id="net_rpc_opts">
                <optgroup label="<?php echo _('User Commands'); ?>">
                    <option value="user-add" <?php echo reactor_option_selected('command', 'user-add', $defaults) ?>><?php echo _('Add User'); ?></option>
                    <option value="user-delete" <?php echo reactor_option_selected('command', 'user-delete', $defaults) ?>><?php echo _('Delete User'); ?></option>
                    <option value="user-rename" <?php echo reactor_option_selected('command', 'user-rename', $defaults) ?>><?php echo _('Rename User'); ?></option>
                </optgroup>
                <optgroup label="<?php echo _('Group Commands'); ?>">
                    <option value="group-add" <?php echo reactor_option_selected('command', 'group-add', $defaults) ?>><?php echo _('Add Group'); ?></option>
                    <option value="group-delete" <?php echo reactor_option_selected('command', 'group-delete', $defaults) ?>><?php echo _('Delete Group'); ?></option>
                    <option value="group-rename" <?php echo reactor_option_selected('command', 'group-rename', $defaults) ?>><?php echo _('Rename Group'); ?></option>
                    <option value="group-add-user" <?php echo reactor_option_selected('command', 'group-add-user', $defaults) ?>><?php echo _('Add User to Group'); ?></option>
                    <option value="group-delete-user" <?php echo reactor_option_selected('command', 'group-delete-user', $defaults) ?>><?php echo _('Delete User from Group'); ?></option>
                </optgroup>
                <optgroup label="<?php echo _('System Commands'); ?>">
                    <option value="system-shutdown" <?php echo reactor_option_selected('command', 'system-shutdown', $defaults) ?>><?php echo _('Shutdown'); ?></option>
                    <option value="system-reboot" <?php echo reactor_option_selected('command', 'system-reboot', $defaults) ?>><?php echo _('Reboot'); ?></option>
                </optgroup>
                <optgroup label="<?php echo _('Service Commands'); ?>">
                    <option value="service-start" <?php echo reactor_option_selected('command', 'service-start', $defaults) ?>><?php echo _('Start Service'); ?></option>
                    <option value="service-stop" <?php echo reactor_option_selected('command', 'service-stop', $defaults) ?>><?php echo _('Stop Service'); ?></option>
                    <option value="service-pause" <?php echo reactor_option_selected('command', 'service-pause', $defaults) ?>><?php echo _('Pause Service'); ?></option>
                    <option value="service-resume" <?php echo reactor_option_selected('command', 'service-resume', $defaults) ?>><?php echo _('Resume Service'); ?></option>
                    <option value="service-delete" <?php echo reactor_option_selected('command', 'service-delete', $defaults) ?>><?php echo _('Delete Service'); ?></option>
                </optgroup>
            </select>
    </div>
    <?php echo form_error('command') ?>
    </div>

    <div class="control-group additional-fields hide" id="username-field">
        <label class="control-label"><?php echo _('Username'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'username',            
                'class' => 'span4',
                'value' => set_value('username', reactor_default(@$defaults['username'], '%username%')),
                )); ?>
            <span class="help-inline"> <?php echo question_tooltip("Defaults to the context variable username shown as %username% you should add this variable to your required variables."); ?></span>        
        </div>
    </div>

    <div class="control-group additional-fields hide" id="new-username-field">
        <label class="control-label"><?php echo _('New Username'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'new_username',            
                'class' => 'span4',
                'value' => set_value('new_username', reactor_default(@$defaults['new_username'], '%newusername%')),
                )); ?>
            <span class="help-inline"> <?php echo question_tooltip("Defaults to the context variable newusername shown as %newusername% you should add this variable to your required variables."); ?></span>        
        </div>
    </div>

    <div class="control-group additional-fields hide" id="password-field">
        <label class="control-label"><?php echo _('Password'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'password',            
                'class' => 'span4',
                'value' => set_value('password', reactor_default(@$defaults['password'], '%password%')),
                )); ?>
            <span class="help-inline"> <?php echo question_tooltip("Defaults to the context variable password shown as %password% you should add this variable to your required variables."); ?></span>        
        </div>
    </div>

    <div class="control-group additional-fields hide" id="groupname-field">
        <label class="control-label"><?php echo _('Group Name'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'groupname',            
                'class' => 'span4',
                'value' => set_value('groupname', reactor_default(@$defaults['groupname'], '%groupname%')),
                )); ?>
            <span class="help-inline"> <?php echo question_tooltip("Defaults to the context variable groupname shown as %groupname% you should add this variable to your required variables."); ?></span>        
        </div>
    </div>

    <div class="control-group additional-fields hide" id="new-groupname-field">
        <label class="control-label"><?php echo _('New Group Name'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'new_groupname',            
                'class' => 'span4',
                'value' => set_value('new_groupname', reactor_default(@$defaults['new_groupname'], '%newgroupname%')),
                )); ?>
            <span class="help-inline"> <?php echo question_tooltip("Defaults to the context variable newgroupname shown as %newgroupname% you should add this variable to your required variables."); ?></span>        
        </div>
    </div>

    <div class="control-group additional-fields hide" id="servicename-field">
        <label class="control-label"><?php echo _('Service Name'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'servicename',            
                'class' => 'span4',
                'value' => set_value('servicename', reactor_default(@$defaults['servicename'], '%servicename%')),
                )); ?>
            <span class="help-inline"> <?php echo question_tooltip("Defaults to the context variable servicename shown as %servicename% you should add this variable to your required variables."); ?></span>        
        </div>
    </div>
        
    <div class="control-group" >
        <label class="control-label"><?php echo _('Extra args'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'extra',          
                'class' => 'span4',
                'value' => set_value('extra', @$defaults['extra']),
                )); ?>
                
            <?php echo form_error('extra') ?>   
            <span class="help-inline"> <?php echo question_tooltip("Use this field for additional flags and arguments."); ?></span>         
        </div>
    </div>  
    
    
</fieldset>


